/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Specific fields for offer posts.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LocalPostOffer extends com.google.api.client.json.GenericJson {

  /**
   * Optional. Offer code that is usable in store or online.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String couponCode;

  /**
   * Optional. Online link to redeem offer.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String redeemOnlineUrl;

  /**
   * Optional. Offer terms and conditions.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String termsConditions;

  /**
   * Optional. Offer code that is usable in store or online.
   * @return value or {@code null} for none
   */
  public java.lang.String getCouponCode() {
    return couponCode;
  }

  /**
   * Optional. Offer code that is usable in store or online.
   * @param couponCode couponCode or {@code null} for none
   */
  public LocalPostOffer setCouponCode(java.lang.String couponCode) {
    this.couponCode = couponCode;
    return this;
  }

  /**
   * Optional. Online link to redeem offer.
   * @return value or {@code null} for none
   */
  public java.lang.String getRedeemOnlineUrl() {
    return redeemOnlineUrl;
  }

  /**
   * Optional. Online link to redeem offer.
   * @param redeemOnlineUrl redeemOnlineUrl or {@code null} for none
   */
  public LocalPostOffer setRedeemOnlineUrl(java.lang.String redeemOnlineUrl) {
    this.redeemOnlineUrl = redeemOnlineUrl;
    return this;
  }

  /**
   * Optional. Offer terms and conditions.
   * @return value or {@code null} for none
   */
  public java.lang.String getTermsConditions() {
    return termsConditions;
  }

  /**
   * Optional. Offer terms and conditions.
   * @param termsConditions termsConditions or {@code null} for none
   */
  public LocalPostOffer setTermsConditions(java.lang.String termsConditions) {
    this.termsConditions = termsConditions;
    return this;
  }

  @Override
  public LocalPostOffer set(String fieldName, Object value) {
    return (LocalPostOffer) super.set(fieldName, value);
  }

  @Override
  public LocalPostOffer clone() {
    return (LocalPostOffer) super.clone();
  }

}
